---
approval_policy:
- name: Block merge request if any vulnerabilities found
  description: ''
  enabled: true
  rules:
  - type: scan_finding
    scanners:
    - container_scanning
    - dependency_scanning
    - sast
    - secret_detection
    vulnerabilities_allowed: 0
    severity_levels: []
    vulnerability_states: []
    branch_type: protected
  actions:
  - type: require_approval
    approvals_required: 1
    user_approvers_ids:
    - 15300612
  approval_settings:
    block_branch_modification: true
    prevent_pushing_and_force_pushing: true
